WSDiscovery10::Interfaces::WSDiscovery::WSDiscoveryPort(3)

NAME
WSDiscovery10::Interfaces::WSDiscovery::WSDiscoveryPort - SOAP Interface for the WSDiscovery Web Service

SYNOPSIS
 use WSDiscovery10::Interfaces::WSDiscovery::WSDiscoveryPort;
 my $interface = WSDiscovery10::Interfaces::WSDiscovery::WSDiscoveryPort->new();

 my $response;
 $response = $interface->ProbeOp();

DESCRIPTION
SOAP Interface for the WSDiscovery web service located at soap.udp://239.255.255.250:3702/.

SERVICE WSDiscovery

  Port WSDiscoveryPort

METHODS

  General methods
new

Constructor.

All arguments are forwarded to SOAP::WSDL::Client.

  SOAP Service methods
Method synopsis is displayed with hash refs as parameters.

The commented class names in the method's parameters denote that objects of the corresponding class can be passed instead of the marked hash ref.

You may pass any combination of objects, hash and list refs to these methods, as long as you meet the structure.

List items (i.e. multiple occurrences) are not displayed in the synopsis. You may generally pass a list ref of hash refs (or objects) instead of a hash ref - this may result in invalid XML if used improperly, though. Note that SOAP::WSDL always expects list references at maximum depth position.

XML attributes are not displayed in this synopsis and cannot be set using hash refs. See the respective class' documentation for additional information.

ProbeOp

Returns a WSDiscovery10::Elements::ProbeMatches object.

 $response = $interface->ProbeOp( { # WSDiscovery10::Types::ProbeType
    Types => $some_value, # QNameListType
    Scopes =>  { value => $some_value },
  },,
 );

AUTHOR
Generated by SOAP::WSDL on Sat Mar 19 18:11:58 2016